Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.servlet.context.wildcard
Class WildcardServletTilesApplicationContext

    java.lang.Object
      org.apache.tiles.servlet.context.ServletTilesApplicationContext
          org.apache.tiles.servlet.wildcard.WildcardServletTilesApplicationContext
              org.apache.tiles.servlet.context.wildcard.WildcardServletTilesApplicationContext

All Implemented Interfaces:
  TilesApplicationContext

Deprecated. Use `WildcardServletTilesApplicationContext`.

    public class WildcardServletTilesApplicationContext

extends WildcardServletTilesApplicationContext

Servlet-based implementation of the TilesApplicationContext interface that can resolve resources even using wildcards.

Since:
  2.1.0
Version:
  $Rev: 817014 $ $Date: 2009-09-20 14:08:27 +0200 (dom, 20 set 2009) $

Field Summary

Fields inherited from class org.apache.tiles.servlet.wildcard.WildcardServletTilesApplicationContext
`resolver`

Constructor Summary
`WildcardServletTilesApplicationContext(javax.servlet.ServletContext servletContext)` Deprecated. Use `#WildcardServletTilesApplicationContext(ServletContext)` .

Method Summary

Methods inherited from class org.apache.tiles.servlet.wildcard.WildcardServletTilesApplicationContext
`getResource, getResources, initialize`

Methods inherited from class org.apache.tiles.servlet.context.ServletTilesApplicationContext
`createRequestContext, getApplicationScope, getContext, getInitParams, getServletContext, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WildcardServletTilesApplicationContext

    public WildcardServletTilesApplicationContext(javax.servlet.ServletContext servletContext)

  Deprecated. Use `#WildcardServletTilesApplicationContext(ServletContext)` .

  Constructor.

  Parameters:
    `servletContext` - The servlet context.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.